felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Reto Bachmann-Gmür (JIRA) <j...@apache.org>
Subject [jira] [Commented] (FELIX-4107) Allow to specify import version range only for the case the package is needed
Date Fri, 07 Jun 2013 07:34:19 GMT

    [ https://issues.apache.org/jira/browse/FELIX-4107?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13677878#comment-13677878
] 

Reto Bachmann-Gmür commented on FELIX-4107:
-------------------------------------------

I just found out that foo.bar.* matches foo.bar so that I can specify the range on that and
don't need to broaden it to foo.* as I thought.
                
> Allow to specify import version range only for the case the package is needed
> -----------------------------------------------------------------------------
>
>                 Key: FELIX-4107
>                 URL: https://issues.apache.org/jira/browse/FELIX-4107
>             Project: Felix
>          Issue Type: Improvement
>          Components: Maven Bundle Plugin
>            Reporter: Reto Bachmann-Gmür
>
> As StuartMcCulloch has shown in http://mail-archives.apache.org/mod_mbox/felix-users/201304.mbox/%3C70A7020D-CEF0-4E3D-811B-4CDC88ED4DB0@gmail.com%3E
is is possible to specify the impor range in a parent without causing unneded imports if this
is spcified with a wildcard. While in many cases this can be used in some cases this is not
possible as using a wildcard would broaden the matching packages too much.
> A possible solution could look like: if the package name is specified betwen square brackets
then it is only added to the final manifest if it is actually needed by the bundle (i.e. would
be part of the auto-generated imports).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message